Compare two immutable drill-run evidence bundles
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/run-comparisons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/run-comparisons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/run-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"compatibility": {
"status": "exact_inputs",
"canAttributeBehaviorChange": true,
"differences": [
"drill"
],
"explanation": "<string>"
},
"outcome": "unchanged",
"baseline": {
"hostedRunId": "<string>",
"evidenceBundleId": "<string>",
"runId": "<string>",
"status": "sealed",
"drillId": "<string>",
"targetId": "<string>",
"seed": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"verdict": "passed",
"scenarioId": "<string>",
"stateHash": "<string>",
"trajectoryHash": "<string>"
},
"candidate": {
"hostedRunId": "<string>",
"evidenceBundleId": "<string>",
"runId": "<string>",
"status": "sealed",
"drillId": "<string>",
"targetId": "<string>",
"seed": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"verdict": "passed",
"scenarioId": "<string>",
"stateHash": "<string>",
"trajectoryHash": "<string>"
},
"changes": {
"verdictChanged": true,
"operationCounts": [
{
"subject": "<string>",
"baseline": 0,
"candidate": 0,
"delta": 0,
"baselineErrors": 0,
"candidateErrors": 0
}
],
"stateChangeCounts": [
{
"subject": "<string>",
"baseline": 0,
"candidate": 0,
"delta": 0
}
],
"eventCounts": [
{
"subject": "<string>",
"baseline": 0,
"candidate": 0,
"delta": 0
}
],
"assertions": [
{
"checkpointId": "<string>",
"assertionId": "<string>",
"actualChanged": true,
"baseline": "passed",
"candidate": "passed",
"expectedChanged": true
}
],
"interactions": [
{
"interactionId": "<string>",
"baseline": "<string>",
"candidate": "<string>"
}
],
"stateChanged": true,
"trajectoryChanged": true
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Compare two immutable drill-run evidence bundles
Compare two immutable drill-run evidence bundles
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Query Parameters
Pattern:
^hrun_[0-9a-z]{12,32}$Pattern:
^hrun_[0-9a-z]{12,32}$Response
Hosted drill-run comparison
Available options:
1 Show child attributes
Show child attributes
Available options:
unchanged, changed, not_comparable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes